package com.example.kafka.service;

import com.example.kafka.entity.Order;
import com.fasterxml.jackson.core.JsonProcessingException;
import reactor.core.publisher.Mono;

public interface OrderService {
    Mono<Order> saveOrderIntoDB(Order order) throws JsonProcessingException;

    Mono<Order> findById(String userId);

    Mono<Order> validateOrder(String order);
}
