package com.example.kafka.service;

import com.example.kafka.entity.User;
import reactor.core.publisher.Flux;
import reactor.core.publisher.Mono;


public interface UserService {
    Mono<User> createUser(User user);

    Flux<User> getAllUsers();

    Mono<User> findById(String userId);

    Mono<User> updateUser(String userId,  User user);
}
